Skip to main content
`Ctrl`+`K`

# SVDConvergenceTestFn

A prototype of an `SVD` convergence test function that would be passed to `SVDSetConvergenceTestFunction()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode SVDConvergenceTestFn(SVD svd,PetscReal sigma,PetscReal res,PetscReal *errest,void *ctx);

## Calling Sequence

- svd - the singular value solver context

- sigma - computed singular value

- res - residual norm associated to the singular triplet

- errest - [output] computed error estimate

- ctx - optional convergence context, as set by `SVDSetConvergenceTestFunction()`

## See Also

SVD: Singular Value Decomposition, `SVDSetConvergenceTest()`, `SVDSetConvergenceTestFunction()`

## Level

advanced

## Location

include/slepcsvd.h

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages